
import React from 'react';
import Icon from 'react-icon-base';

const SlGlobe = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1025.02 448c0 272.016 -213.663 495.104 -482.319 511.023c-5.53613 0.608398 -11.0879 1.00879 -16.7197 1.00879c-1.66406 0 -3.32812 -0.175781 -4.99219 -0.223633c-2.99219 0.0478516 -5.96777 0.223633 -8.99219 0.223633 c-282.88 0 -513.023 -229.696 -513.023 -512.032s230.144 -512.032 513.023 -512.032c3.02441 0 6 0.175781 9.00781 0.240234c1.66406 -0.0644531 3.32812 -0.240234 4.99219 -0.240234c5.63184 0 11.1836 0.400391 16.7197 1.00879 c268.64 15.9199 482.304 238.976 482.303 511.023zM929.569 283.168c-17.6318 5.12012 -61.9209 16.2393 -140.064 25.3916c6.46387 44.1924 10 90.8965 10 139.44c0 38.2559 -2.20801 75.3438 -6.28809 111.008c99.0078 11.8242 142.384 26.7207 145.296 27.7451 l-11.9199 33.584c22.2402 -53.0879 34.5605 -111.296 34.5605 -172.336c0 -58.1924 -11.2803 -113.761 -31.584 -164.833zM285.488 447.999c0 35.8076 2.36914 70.7695 6.70508 104.401c51.8877 -4.08008 113.936 -7.08789 186.863 -7.79199v-222.064 c-70.9922 -0.688477 -131.664 -3.56836 -182.688 -7.47266c-7.04004 42.1924 -10.8799 86.8799 -10.8801 132.928zM542.945 891.777c78.4639 -22.7363 145.648 -131.695 175.744 -276.111c-48.3682 -3.85645 -106.624 -6.67285 -175.744 -7.3291v283.44zM479.059 890.994 v-282.624c-68.3682 0.688477 -126.88 3.47266 -176.063 7.23242c30.7041 142.608 98.4316 250.752 176.063 275.392zM479.059 258.771l0.000976562 -253.743c-72.4004 22.9756 -136.192 118.575 -169.36 247.023c47.7598 3.50391 104.096 6.06348 169.359 6.71973z M542.947 4.22754l-0.000976562 254.561c65.9521 -0.624023 122.064 -3.28027 169.217 -6.92871c-32.6084 -130.128 -96 -226.416 -169.216 -247.632zM542.946 322.548l0.000976562 222.032c73.3115 0.688477 134.991 3.77637 186.191 8 c4.20801 -33.6963 6.49609 -68.7041 6.49609 -104.592c0 -46.1279 -3.71191 -90.8643 -10.5283 -133.12c-50.416 4.08008 -110.8 7.00781 -182.16 7.67969zM914.804 646.068c-9.66406 -3.00781 -50.0635 -14.4805 -131.023 -24.0322 c-18.0479 95.9521 -50.6719 177.968 -93.1201 237.168c97.5361 -42.3838 177.136 -118.304 224.144 -213.136zM358.82 869.411c-52.208 -59.9521 -94.832 -146.161 -118.096 -248.113c-72.4805 7.85645 -115.921 17.0889 -133.312 21.2812 c50.7197 104.64 141.04 186.752 251.408 226.832zM83.6367 582.818c12.3203 -3.34375 58.9131 -14.9414 145.553 -24.5254c-4.95996 -35.4404 -7.67969 -72.3047 -7.67969 -110.305c0 -48.2725 4.36816 -94.7207 12.2402 -138.688 c-74.4004 -8.03223 -120.16 -17.6484 -140.688 -22.6084c-19.4404 50.0957 -30.208 104.447 -30.208 161.312c0 46.96 7.31152 92.2559 20.7832 134.815zM121.094 227.652c23.2637 4.94434 64.9121 12.4639 126.592 18.9277 c24.2881 -89.7119 63.792 -165.616 111.136 -219.968c-101.12 36.7197 -185.296 108.752 -237.728 201.04v0.0003zM690.662 36.8203c38.2236 53.2637 68.4795 125.024 87.2959 208.801c63.4082 -7.28027 103.216 -15.792 123.296 -20.8643 c-48.0156 -83.0723 -121.855 -149.393 -210.592 -187.937z"/></g>
    </Icon>
);

export default SlGlobe;
